unit Prueba1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, AsLetter, ExtCtrls, Mask, Buttons;

type
  TFExample = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    Edit1: TMaskEdit;
    Label2: TLabel;
    Label3: TLabel;
    Panel3: TPanel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    BitBtn1: TBitBtn;
    AsLetters1: TAsLetters;
    AsLetters2: TAsLetters;
    Label4: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Label5: TLabel;
    CheckBox3: TCheckBox;
    procedure Edit1Change(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FExample: TFExample;

implementation

{$R *.DFM}

procedure TFExample.Edit1Change(Sender: TObject);
Var w:Extended;
begin
  If(Edit1.text='')Then Exit;
  Try
    W:=StrToFloat(Edit1.text);  
  Except
    Edit1.text:='0.0';
    W:=0;
  End;
  AsLetters1.TheValue:=W;
  AsLetters2.TheValue:=W;
end;

procedure TFExample.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  If(Not(Key In['0'..'9','.',#13,#8,#12]))Then Key:=#0;
end;

procedure TFExample.CheckBox1Click(Sender: TObject);
begin
  If(CheckBox1.checked)Then
  Begin
    AsLetters1.Characters:=EcUpperCase;
    AsLetters2.Characters:=EcUpperCase;
    CheckBox2.checked:=Not CheckBox1.checked;
  End;
end;

procedure TFExample.CheckBox2Click(Sender: TObject);
begin
  If(CheckBox2.checked)Then
  Begin
    AsLetters1.Characters:=EcLowerCase;
    AsLetters2.Characters:=EcLowerCase;
    CheckBox1.checked:=Not CheckBox2.checked;
  End;
end;

procedure TFExample.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TFExample.Edit2Change(Sender: TObject);
begin
  AsLetters1.Money:=Edit2.text;
end;

procedure TFExample.Edit3Change(Sender: TObject);
begin
  AsLetters2.Money:=Edit3.text;
end;

procedure TFExample.CheckBox3Click(Sender: TObject);
begin
  AsLetters1.Cents:=CheckBox3.Checked;
  AsLetters2.Cents:=CheckBox3.Checked;
end;

end.
